Subject: bug#65110: closed (Re: bug#65110: eshell variable triggers error)

From: [email-masked] (GNU bug Tracking System)
Date: Tue, 08 Aug 2023 02:42:02 +0000

Your bug report

#65110: eshell variable triggers error

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
65110: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=65110
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#65110: eshell variable triggers error
From: Jim Porter <[email-masked]>
To: Raoul Comninos <[email-masked]>, [email-masked]
Date: Mon, 7 Aug 2023 19:41:35 -0700
List-Id: <debbugs-submit.debbugs.gnu.org>

On 8/6/2023 1:44 PM, Jim Porter wrote:
> Happily, this issue *wasn't* a bug in the I/O refcounting code. The 
> failed assertion (which is new in Emacs 30 and exists for exactly this 
> reason) just revealed a bug in another part of Eshell. Fix attached 
> (plus fixing another issue mentioned in the code comments) with some 
> regression tests.
> 
> Let me know if this works for you, or if you see any further issues.

After discussing this off-list, this looks good (thanks for testing!). 
Merged to master as 301e6a747ac, and closing this now.

Subject: eshell variable triggers error
From: Raoul Comninos <[email-masked]>
To: [email-masked]
Date: Sun, 6 Aug 2023 10:51:44 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

If I set this variable:

(setq eshell-list-files-after-cd t)

Emacs egnerates an error in eshell when changing directories:

Assertion failed: (> (cdar handle) 0), 0

The error disappears if the variable is set to nil.

I am running:GNU Emacs 30.0.50 (build 1, x86_64-w64-mingw32) of 2023-08-03

Windows 11

Kindest regards,
Raoul Comninos